textures/ut4_laberinto_beta/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/ut4_laberinto_beta/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/ut4_laberinto_beta/hint
{
	qer_nocarve
	qer_trans 0.30

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}


textures/ut4_laberinto_beta/origin
{
	qer_nocarve

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm origin
}

textures/ut4_laberinto_beta/playerclip
{
qer_trans 0.30

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	//surfaceparm nomarks
	surfaceparm trans
}

textures/ut4_laberinto_beta/clip
{
qer_trans 0.30

	surfaceparm nodraw
	//surfaceparm nonsolid
	//surfaceparm playerclip
	//surfaceparm nomarks
	surfaceparm trans
}

textures/ut4_laberinto_beta/nodraw
{

surfaceparm nodraw
surfaceparm nolightmap
//surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
//surfaceparm detail

}

textures/ut4_laberinto_beta/ladderclip
{
qer_trans 0.30

surfaceparm playerclip
surfaceparm noimpact
surfaceparm ladder
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nodraw
surfaceparm nonsolid
}


textures/ut4_laberinto_beta/fog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
//	q3map_surfacelight 100
	fogparms ( .3 .4 .2 ) 500
}

textures/ut4_laberinto_beta/metal_gray_nocull
{
	qer_editorimage textures/ut4_laberinto_beta/metal_gray
	cull none

	{
		map textures/ut4_laberinto_beta/metal_gray.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}

textures/ut4_laberinto_beta/roof_tile
{
	surfaceparm ladder

	{
		map textures/ut4_laberinto_beta/roof_tile.jpg
		rgbGen identity
		depthwrite
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

textures/ut4_laberinto_beta/rooftile_old
{
	surfaceparm ladder

	{
		map textures/ut4_laberinto_beta/rooftile_old.jpg
		rgbGen identity
		depthwrite
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

textures/ut4_laberinto_beta/sky
{
	qer_editorimage textures/sweetnutz/sn_casa_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 512

	q3map_surfacelight 350
	q3map_lightimage textures/ut4_laberinto_beta/light_ambient

	q3map_sun .50 .40 .30 1300 130 75
	skyparms env/ut4_laberinto_beta/med 256 -

}

textures/ut4_laberinto_beta/glassback
{
	qer_editorimage textures/ut4_laberinto_beta/metal_gray
        surfaceparm nodraw
//	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks	
	qer_trans 	0.25
     
}


 models/mapobjects/br_market/br_cardboard
{

 	{
		map models/mapobjects/br_market/br_cardboard.tga
		alphafunc ge128
		//blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}

	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		depthfunc equal		
	}

}

models/mapobjects/br_ship/br_sail1
{
	surfaceparm trans
	surfaceparm noimpact

	qer_editorimage models/mapobjects/br_ship/br_sail1

        cull none

	{
		map models/mapobjects/br_ship/br_sail1.jpg
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

models/mapobjects/br_ship/br_sail
{
	surfaceparm trans
	surfaceparm noimpact

	qer_editorimage models/mapobjects/br_ship/br_sail2

        cull none

	{
		map models/mapobjects/br_ship/br_sail2.jpg
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

models/mapobjects/br_ship/br_sail2
{
	surfaceparm trans
	surfaceparm noimpact

	qer_editorimage models/mapobjects/br_ship/br_sail2

        cull none

	{
		map models/mapobjects/br_ship/br_sail2.jpg
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

textures/ut4_laberinto_beta/glass
{
	surfaceparm trans
	cull disable
	qer_trans 0.5
	surfaceparm nolightmap

	qer_editorimage textures/ut4_laberinto_beta/metal_gray

	{
		map textures/ut4_laberinto_beta/metal_gray.jpg
		blendfunc gl_one gl_one
		tcmod scale 0.25 0.25
	//	depthwrite
	}	

//	{
//		map $lightmap
//		blendFunc filter
//		rgbgen identity
//		depthfunc equal		
//	}
}


models/mapobjects/br_lanterns/br_lantern1
{
	q3map_surfacelight 45000
	
	{
		map models/mapobjects/br_lanterns/br_lantern1.jpg
	}
}

models/mapobjects/br_flourlight/br_flourlight
{
	q3map_surfacelight 10000
	
	{
		map models/mapobjects/br_flourlight/br_flourlight.jpg
	}
}

textures/ut4_laberinto_beta/cloth_white
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	qer_editorimage textures/ut4_laberinto_beta/cloth_white

        cull none

	{
		map textures/ut4_laberinto_beta/cloth_white.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

textures/ut4_laberinto_beta/ocean
{
	//qer_editorimage textures/liquids/pool3d_3.tga
	qer_editorimage textures/ut4_laberinto_beta/water
	//qer_trans .6
	//q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	//surfaceparm nodrop

	cull disable

	//deformVertexes wave 100 triangle 0 16 0.0 0.2	
	//deformVertexes wave 100 sawtooth 3 3 0.5 0.5
	
	{
		map textures/ut4_laberinto_beta/water2.jpg
		//blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.03 -0.01
	}
	
	{
//		map textures/liquids/pool3d_3e.tga
		map textures/ut4_laberinto_beta/water.jpg
//	tcmod rotate 90
	blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.01 -0.03
//		depthfunc offset
	}

//	{
//		map $lightmap
//		blendFunc GL_dst_color GL_zero
//		rgbgen identity		
//	}

}


textures/ut4_laberinto_beta/water_reflect
{
	//qer_editorimage textures/liquids/pool3d_3.tga
	qer_editorimage textures/ut4_laberinto_beta/water
	//qer_trans .6
	//q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nodrop

//	portal

	cull disable

	//deformVertexes wave 100 triangle 0 16 0.0 0.2	
	//deformVertexes wave 100 sawtooth 3 3 0.5 0.5
	
	{
		map textures/ut4_laberinto_beta/water.jpg
		blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.03 -0.01
	}
	
//	{
//		map textures/liquids/pool3d_3e.tga
//		map textures/ut4_laberinto_beta/water.jpg
//	tcmod rotate 90
//	blendfunc gl_one gl_one
//		tcMod turb 0 0.01 0 .01
//		tcMod scroll -0.03 -0.01
//		depthfunc offset
//	}

	{
//		map textures/liquids/pool3d_3e.tga
		map textures/ut4_laberinto_beta/water2.jpg
//	tcmod rotate 90
	blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.01 -0.03
//		depthfunc offset
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_laberinto_beta/flag_dutch
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	qer_editorimage textures/ut4_laberinto_beta/flag_dutch

        cull none
	deformVertexes wave 100 triangle 0 8 0.0 0.2	
	{
		map textures/ut4_laberinto_beta/flag_dutch.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}


textures/ut4_laberinto_beta/flag_spanish
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	deformVertexes wave 100 triangle 0 8 0.0 0.2	
	qer_editorimage textures/ut4_laberinto_beta/flag_spanish
        cull none

	{
		map textures/ut4_laberinto_beta/flag_spanish.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}

textures/ut4_laberinto_beta/fountain
{

 qer_editorimage textures/ut4_laberinto_beta/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut4_laberinto_beta/fount-1.tga textures/ut4_laberinto_beta/fount-2.tga textures/ut4_laberinto_beta/fount-3.tga textures/ut4_laberinto_beta/fount-4.tga textures/ut4_laberinto_beta/fount-5.tga textures/ut4_laberinto_beta/fount-6.tga textures/ut4_laberinto_beta/fount-7.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut4_laberinto_beta/fountain3
{

 qer_editorimage textures/ut4_laberinto_beta/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut4_laberinto_beta/fount-3.tga textures/ut4_laberinto_beta/fount-4.tga textures/ut4_laberinto_beta/fount-5.tga textures/ut4_laberinto_beta/fount-6.tga textures/ut4_laberinto_beta/fount-7.tga textures/ut4_laberinto_beta/fount-1.tga textures/ut4_laberinto_beta/fount-2.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut4_laberinto_beta/fountain4
{

 qer_editorimage textures/ut4_laberinto_beta/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut4_laberinto_beta/fount-5.tga textures/ut4_laberinto_beta/fount-6.tga textures/ut4_laberinto_beta/fount-7.tga textures/ut4_laberinto_beta/fount-1.tga textures/ut4_laberinto_beta/fount-2.tga textures/ut4_laberinto_beta/fount-3.tga textures/ut4_laberinto_beta/fount-4.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut4_laberinto_beta/fountain2
{

 qer_editorimage textures/ut4_laberinto_beta/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut4_laberinto_beta/fount-6.tga textures/ut4_laberinto_beta/fount-7.tga textures/ut4_laberinto_beta/fount-1.tga textures/ut4_laberinto_beta/fount-2.tga textures/ut4_laberinto_beta/fount-3.tga textures/ut4_laberinto_beta/fount-4.tga textures/ut4_laberinto_beta/fount-5.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}
